var FD;
(function (FD) {
	var TreeMapLeaf = (function () {
		function TreeMapLeaf(data, weight) {
			this.frame = new FD.TreeMapNodeFrame(this);
			this.data = data;
			this.parent = null;
			this.weight = weight || 0;
		}

		TreeMapLeaf.prototype.getFrame = function() {
			return this.frame;
		};

		TreeMapLeaf.prototype.getWeight = function() {
			return this.weight;
		};
	
		TreeMapLeaf.prototype.isLeaf = function() {
			return true;
		};
	
		TreeMapLeaf.prototype.isNode = function() {
			return false;
		};
	
		TreeMapLeaf.prototype.sort = function() {};

		return TreeMapLeaf;
	})();
	FD.TreeMapLeaf = TreeMapLeaf;
})(FD || (FD = {}));
